at.chipkarte.client.gina.soap

## Interface IGinaService

-     public interface IGinaService

  Dieses Service stellt GINA-spezifische Funktionen zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connectivityCheckAvailable()` Mit dieser Funktion kann ermittelt werden, ob das Connectivity Check Service (CCS) prinzipiell zur Verfügung stehen sollte.
    `CardReader[]` | `getCardReaders()` Deprecated. Die Funktion wird in Kürze eingestellt. Weitere Informationen erhalten Sie auf Anfrage beim eCS Partnersupport.
    `DialogsInfo` | `getFreeDialogs()` Deprecated. Die Funktion wird in Kürze eingestellt. Weitere Informationen erhalten Sie auf Anfrage beim eCS Partnersupport.
    `StatusInformationen` | `getGinaAndServiceavailabilityInformation()` Mit dieser Funktion werden die GINA-Information und die Verfügbarkeitsinformationen der auf der GINA installierten Services geliefert.
    `GinaVersion` | `getGinaSoftwareVersion()` Diese Funktion liefert die aktuelle Softwareversion des Ordinationsclient.
    `void` | `releaseCardReader(String cardReaderId)` Mit dieser Funktion kann die Karte im Kartenleser explizit freigegeben werden.
    `void` | `setCardReader(String dialogId, String cardReaderId)` Deprecated. Die Funktion wird in Kürze eingestellt. Weitere Informationen erhalten Sie auf Anfrage beim eCS Partnersupport.

- - ### Method Detail

    - #### getCardReaders

          CardReader[] getCardReaders()
                               throws ServiceException

      Deprecated. Die Funktion wird in Kürze eingestellt. Weitere Informationen erhalten Sie auf Anfrage beim eCS Partnersupport.

      Diese Funktion ermittelt alle verfügbaren Kartenleser, die an den Ordinationsclient angeschlossen sind.

      Laufzeitgruppe: Kurz

      Returns:
        Liste der verfügbaren Kartenleser
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### setCardReader

          void setCardReader(String dialogId,
                             String cardReaderId)
                      throws CardException,
                             ServiceException,
                             DialogException

      Deprecated. Die Funktion wird in Kürze eingestellt. Weitere Informationen erhalten Sie auf Anfrage beim eCS Partnersupport.

      Mit dieser Funktion kann vor einem Request mit Kartenzugriff die Kartenleserzuordnung geändert werden.
      Es wird dem Dialog der Kartenleser mit der übergebenen CardReaderId zugeordnet.

      Voraussetzung:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Es ist zumindest ein Kartenleser am Ordinationsclient/der Server-GINA angeschlossen.

      Laufzeitgruppe: Kurz

      Parameters:
        `dialogId` - Dialog-Id eines aufgebauten Dialogs
        `cardReaderId` - Identifizierer des Kartenlesers
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `CardException` - `INVALID_CARD_READER_ID`
        `DialogException` - `DIALOG_INVALID`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `ORDINATION_ID_NOTSET`,

    - #### getFreeDialogs

          DialogsInfo getFreeDialogs()
                              throws ServiceException

      Deprecated. Die Funktion wird in Kürze eingestellt. Weitere Informationen erhalten Sie auf Anfrage beim eCS Partnersupport.

      Diese Funktion liefert Informationen über die Anzahl der maximal möglichen sowie der zurzeit aufgebauten Dialoge.

      Laufzeitgruppe: Kurz

      Returns:
        Information über Anzahl der Dialoge
      Throws:
        `ServiceException` - `INCOMPATIBILITY_EXCEPTION`, `INTERNAL_ERROR`

    - #### getGinaSoftwareVersion

          GinaVersion getGinaSoftwareVersion()
                                      throws ServiceException

      Diese Funktion liefert die aktuelle Softwareversion des Ordinationsclient. Eine Änderung dieser Softwareversion muss nicht zwangsläufig eine Auswirkung auf die Vertragspartnersoftware-Schnittstelle haben. Dient beispielsweise als Zusatzinformation für Fehler-Reports, Support u. ä.

      Laufzeitgruppe: Kurz

      Returns:
        Softwareversion des Ordinationsclient
      Throws:
        `ServiceException` - `INCOMPATIBILITY_EXCEPTION`, `INTERNAL_ERROR`

    - #### getGinaAndServiceavailabilityInformation

          StatusInformationen getGinaAndServiceavailabilityInformation()
                                                                throws ServiceException

      Mit dieser Funktion werden die GINA-Information und die Verfügbarkeitsinformationen der auf der GINA installierten Services geliefert.

      Voraussetzung:

      - Keine

      Laufzeitgruppe: Kurz

      Returns:
        Objekt, mit Informationen zur GINA, siehe auch `StatusInformationen`
      Throws:
        `ServiceException` - `INCOMPATIBILITY_EXCEPTION`, `INTERNAL_ERROR`

    - #### releaseCardReader

          void releaseCardReader(String cardReaderId)
                          throws CardException,
                                 ServiceException

      Mit dieser Funktion kann die Karte im Kartenleser explizit freigegeben werden.

      Laufzeitgruppe: Kurz

      Parameters:
        `cardReaderId` - Identifizierer des Kartenlesers.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `CardException` - `INTERNAL_ERROR`, `CARDREADER_IN_USE`, `INVALID_CARD_READER_ID`

    - #### connectivityCheckAvailable

          boolean connectivityCheckAvailable()
                                      throws ServiceException

      Mit dieser Funktion kann ermittelt werden, ob das Connectivity Check Service (CCS) prinzipiell zur Verfügung stehen sollte.

      Laufzeitgruppe: Kurz

      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`